> For the complete documentation index, see [llms.txt](https://docs.iceteagroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iceteagroup.com/general/framework/skins-and-themes/configuration.md).

# Configuration

The basic API exposed in *SalApplication* allows only for enabling/disabling skinning and for loading skin files and resources. To configure additional properties in the skinning engine you have to either use the VisualStyler component directly (see [Help and API)](https://iceteagroup.com/docs/html/help_and_api.htm) or configure the *App.config* file.

Using the *App.config* file to control skinning allows to configure skinning from outside of the application's executable.

The quickest and easiest way to edit the *App.config* file is to use our [Configuration Tool](https://iceteagroup.com/docs/html/configuration_tool.htm).

```xml
<configuration>
  <configSections>
    <section 
      name="SalSkinner" 
      type="PPJ.Runtime.Windows.Skins.SalSkinnerConfiguration, PPJ.Runtime.46, Version=4.6.1, Culture=neutral, PublicKeyToken=17bef35e11b84171"/>
</configSections>        

<SalSkinner 
   Enabled="True|False"
   SkinCommonDialogs="True|False"
   SkinLocation="[Resources|Directory][Assembly]:{path}"
   SkinName="{file name}"
   UseSystemFonts="True|False"
   TargetControls="None|Forms|Controls|FormsAndControls"
   ShadowStyle="None|Small|Medium|Bold"
   HookSystemColors="True|False"
   />
</configuration>
```

**Enabled="True|False"**

Enables or disables skinning for the entire application.

**SkinCommonDialogs="True|False"**

Enables or disables skinning of all system and common dialogs, including all file dialogs, message boxes, etc.

**SkinLocation="\[Resources|Directory|Assembly]:{path}"**

Sets the location of the skin resources. This setting is necessary if used with the *SkinName* setting. The path string must be prefixed by either "Resources:" or "Directory:". When using "Resources:" the path is the standard .NET resources path. Use "Assembly" to load skin from a separate assembly.&#x20;

For example:

```xml
SkinLocation="Resources:ACME.MainApp.Resources.Skins"
SkinLocation="Directory:.\skins"
SkinLocation="Assembly:ACME.MainApp"
```

**SkinName="{file name}"**

This is the name of the skin file to load from the location indicated in *SkinLocation*.

**UseSystemFonts="True|False"**

When set to True, the skinning engine ignores the skins' fonts and uses the system's fonts.

**TargetControl="None|Forms|Controls|FormsAndControls"**

Enables skinning for the specified category. This is useful to turn off skinning for the forms frames on Vista systems, for example, when you may want to preserve the Aero look while still skinning all child controls.

**ShadowStyle="None|Small|Medium|Bold"**

Enables drawing of the shadow effect for forms and dialogs.

**HookSystemColors="True|False"**

When set to true (default), the skinning engine replaces the system colors returned to the application with their equivalent skinned colors.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.iceteagroup.com/general/framework/skins-and-themes/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
